Snort crash log



  • clean install

    Crash report begins.  Anonymous machine information:
    
    amd64
    12.0-RELEASE-p7
    FreeBSD 12.0-RELEASE-p7 11b34259783(RELENG_2_5) pfSense
    
    Crash report details:
    
    PHP Errors:
    [21-Jul-2019 10:52:49 Europe/Rome] PHP Warning:  Use of undefined constant SNORT_PBI_BINDIR - assumed 'SNORT_PBI_BINDIR' (this will throw an Error in a future version of PHP) in /usr/local/www/snort/snort_rules.php on line 30
    [21-Jul-2019 10:56:28 Europe/Rome] PHP Warning:  Use of undefined constant SNORT_PBI_BINDIR - assumed 'SNORT_PBI_BINDIR' (this will throw an Error in a future version of PHP) in /usr/local/www/snort/snort_interface_logs.php on line 47
    [21-Jul-2019 11:08:01 Europe/Rome] PHP Warning:  Use of undefined constant SNORT_PBI_BINDIR - assumed 'SNORT_PBI_BINDIR' (this will throw an Error in a future version of PHP) in /usr/local/www/snort/snort_rules.php on line 30
    [21-Jul-2019 11:08:05 Europe/Rome] PHP Warning:  Use of undefined constant SNORT_PBI_BINDIR - assumed 'SNORT_PBI_BINDIR' (this will throw an Error in a future version of PHP) in /usr/local/www/snort/snort_rules.php on line 30
    [21-Jul-2019 11:08:06 Europe/Rome] PHP Warning:  Use of undefined constant SNORT_PBI_BINDIR - assumed 'SNORT_PBI_BINDIR' (this will throw an Error in a future version of PHP) in /usr/local/www/snort/snort_rules.php on line 30
    [21-Jul-2019 11:08:10 Europe/Rome] PHP Warning:  Use of undefined constant SNORT_PBI_BINDIR - assumed 'SNORT_PBI_BINDIR' (this will throw an Error in a future version of PHP) in /usr/local/www/snort/snort_rules.php on line 30
    [21-Jul-2019 11:08:10 Europe/Rome] PHP Warning:  Use of undefined constant SNORT_PBI_BINDIR - assumed 'SNORT_PBI_BINDIR' (this will throw an Error in a future version of PHP) in /usr/local/www/snort/snort_rules.php on line 30
    [21-Jul-2019 11:08:11 Europe/Rome] PHP Warning:  Use of undefined constant SNORT_PBI_BINDIR - assumed 'SNORT_PBI_BINDIR' (this will throw an Error in a future version of PHP) in /usr/local/www/snort/snort_rules.php on line 30
    [21-Jul-2019 11:08:49 Europe/Rome] PHP Warning:  Use of undefined constant SNORT_PBI_BINDIR - assumed 'SNORT_PBI_BINDIR' (this will throw an Error in a future version of PHP) in /usr/local/www/snort/snort_rules.php on line 30
    
    
    
    No FreeBSD crash data found.
    


  • for @bmeeks

    this instead is under suricata

    [22-Jul-2019 14:10:19 Europe/Rome] PHP Warning:  gettext() expects exactly 1 parameter, 2 given in /usr/local/www/suricata/suricata_global.php on line 150
    [22-Jul-2019 14:10:19 Europe/Rome] PHP Warning:  syslog() expects exactly 2 parameters, 1 given in /usr/local/www/suricata/suricata_global.php on line 150
    


  • Thanks for the reports, but what version of the Snort package is this? I am looking at the source code for the Snort-4.0_3 package and these errors are not present in the files.

    EDIT: Oops, further checking indicates perhaps all of my prior changes did not get merged into the pfSense repository. Will check further and get it fixed.



  • pfSense is 2.5.0

    for the first post was -> snort 4.0_3

    the second post is for suricata -> suricata 4.1.4_4



  • @kiokoman said in Snort crash log:

    pfSense is 2.5.0

    for the first post was -> snort 4.0_3

    the second post is for suricata -> suricata 4.1.4_4

    Thanks. I see now what happened. When I bundled my last update, I forgot to include some of my changed files from each package. My local copies are changed, but the posted ones in the pfSense repository are not. I will get a new Pull Request created and posted for the pfSense team to merge. Might be later tomorrow before the new packages are posted.



  • The fix for the Snort package has been posted for review and merge. The pull request is here: https://github.com/pfsense/FreeBSD-ports/pull/656. Since this is the more serious bug, I went ahead and posted it.

    The Suricata bug is not as serious, so I am going to hold off on posting that fix while I work on a couple of other Suricata bug reports. I will then roll all the Suricata fixes into a single update.



  • These errors should all be fixed in the latest Snort-4.0_4 package for pfSense-2.5 snapshots.


Log in to reply